- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_socket_t

# mongoc_socket_destroy()

## Synopsis

    void
    mongoc_socket_destroy (mongoc_socket_t *sock);

## Parameters

- `sock`: A mongoc_socket_t.

## Description

This function releases all resources associated with a mongoc_socket_t. This should be called when you are no longer using the socket. Does nothing if `sock` is NULL.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.